<script setup lang="ts">
import { type Product } from '@/types/Product'
import { ref } from 'vue'
const props = defineProps<{
  product: Product
}>()
const emit = defineEmits<{
  selectedProduct: [Product]
}>()

const selected = function () {
  console.log('ProductCard: ' + props.product)
  emit('selectedProduct', props.product)
}
</script>

<template>
  <v-sheet width="200" height="125" elevation="3" @click="selected" rounded>
    <v-container>
      <v-row>
        <v-col cols="7">
          <v-img :src="'http://localhost:3000/images/products/' + props.product.image" height="80" cover></v-img>
          <div style="text-align: center">฿ {{ product.price }}</div>
        </v-col>
        <v-col cols="5" class="pl-0">
          <div style="text-align: center; font-size: 15px">{{ product.name }}</div>
        </v-col>
      </v-row>
    </v-container>
  </v-sheet>
</template>
